package models

// 状态列表
const (
	// 删除
	STATUS_DEL = iota - 1

	// 新录入
	STATUS_READY

	// 正常
	STATUS_NORMAL
)

// 映射数据库的布尔型
const (
	BOOL_FALSE = 0
	BOOL_TRUE  = 1
)

// 映射表账户类型
const (
	ACCMAP_WECHAT = "wechat"
	ACCMAP_MINI   = "mini"
)

const (
	IMAGETYPE_COVER  = "cover"
	IMAGETYPE_DETAIL = "detail"
)

// 映射表用户类型
const (
	USERMAP_USER     = "user"
	USERMAP_CUSTOMER = "customer"
)

// 人员禁止内容
const (
	// 禁止下单
	FORBID_ORDER = "order"

	// 禁止发卡, 发券
	FORBID_COUPON = "coupon"
)

// 消费类型
const (
	CONSUME_POINTS   = "points"
	CONSUME_MONEYCHG = "money-of-cheng"
)

// 消费方式
const (
	ACCOUNT_INCOME = "+"
	ACCOUNT_SPENT  = "-"
)

// 账户消费来源
const (
	// 充值
	ACCSOURCE_RECHARGE = "recharge"
	// 订单
	ACCSOURCE_ORDERS = "orders"
	// 注册
	ACCSOURCE_REGISTER = "register"
	// 完善资料
	ACCSOURCE_COMPLETE_PROFILE = "complete_profile"
	// 推荐
	ACCSOURCE_RECOMMEND = "recommend"
)
